]> review.fuel-infra Code Review - openstack-build/horizon-build.git/commitdiff
Reimport source package from Debian 56/13556/1
authorThomas Goirand <zigo@debian.org>
Mon, 2 Nov 2015 12:48:51 +0000 (13:48 +0100)
committerThomas Goirand <zigo@debian.org>
Mon, 2 Nov 2015 12:50:57 +0000 (13:50 +0100)
The previous iteration of the Horizon package was using the source
package from Ubuntu. This commits takes the latest version from
Debian, which is much cleaner.

This patch also fixes the .gitreview so that the defaultbranch=
is correct.

Change-Id: I5e7140169ab961f3e98e6bdb6818a3935a38a7e4

55 files changed:
.gitreview
trusty/debian/apache-sites-available/openstack-dashboard-alias-only.conf [new file with mode: 0644]
trusty/debian/apache-sites-available/openstack-dashboard-ssl-redirect.conf [new file with mode: 0644]
trusty/debian/apache-sites-available/openstack-dashboard-ssl.conf [new file with mode: 0644]
trusty/debian/apache-sites-available/openstack-dashboard.conf [new file with mode: 0644]
trusty/debian/changelog
trusty/debian/compile-messages [new file with mode: 0755]
trusty/debian/control
trusty/debian/copyright
trusty/debian/docs [new file with mode: 0644]
trusty/debian/gbp.conf
trusty/debian/horizon-doc.doc-base [new file with mode: 0644]
trusty/debian/openstack-dashboard-apache.config [new file with mode: 0644]
trusty/debian/openstack-dashboard-apache.install [new file with mode: 0644]
trusty/debian/openstack-dashboard-apache.postinst [new file with mode: 0644]
trusty/debian/openstack-dashboard-apache.postrm [new file with mode: 0644]
trusty/debian/openstack-dashboard-apache.prerm [new file with mode: 0644]
trusty/debian/openstack-dashboard-apache.templates [new file with mode: 0644]
trusty/debian/openstack-dashboard-nginx.conf [new file with mode: 0644]
trusty/debian/openstack-dashboard-uwsgi.xml [new file with mode: 0644]
trusty/debian/openstack-dashboard.conf [deleted file]
trusty/debian/openstack-dashboard.dirs
trusty/debian/openstack-dashboard.install
trusty/debian/openstack-dashboard.links
trusty/debian/openstack-dashboard.postinst
trusty/debian/openstack-dashboard.postrm
trusty/debian/openstack-dashboard.preinst [deleted file]
trusty/debian/patches/better_defaults.patch [deleted file]
trusty/debian/patches/fix-dashboard-django-wsgi.patch
trusty/debian/patches/fix-dashboard-manage.patch
trusty/debian/patches/fixed-horizon-MANIFEST.in.patch [new file with mode: 0644]
trusty/debian/patches/series
trusty/debian/po/POTFILES.in [new file with mode: 0644]
trusty/debian/po/cs.po [new file with mode: 0644]
trusty/debian/po/da.po [new file with mode: 0644]
trusty/debian/po/de.po [new file with mode: 0644]
trusty/debian/po/es.po [new file with mode: 0644]
trusty/debian/po/fr.po [new file with mode: 0644]
trusty/debian/po/it.po [new file with mode: 0644]
trusty/debian/po/ja.po [new file with mode: 0644]
trusty/debian/po/nl.po [new file with mode: 0644]
trusty/debian/po/pt.po [new file with mode: 0644]
trusty/debian/po/ru.po [new file with mode: 0644]
trusty/debian/po/sv.po [new file with mode: 0644]
trusty/debian/po/templates.pot [new file with mode: 0644]
trusty/debian/pydist-overrides [deleted file]
trusty/debian/python-django-horizon.install [deleted file]
trusty/debian/python-django-horizon.links [new file with mode: 0644]
trusty/debian/python-django-horizon.lintian-overrides [deleted file]
trusty/debian/rules
trusty/debian/source/format [changed mode: 0755->0644]
trusty/debian/source/options
trusty/debian/tests/control [deleted file]
trusty/debian/tests/install [deleted file]
trusty/debian/watch

index 85f9267dff2268b4be1c046ef7104867201a965c..812615e139b0cbc0302b2204b8e87707a8175054 100644 (file)
@@ -2,6 +2,6 @@
 host=review.fuel-infra.org
 port=29418
 project=openstack-build/horizon-build
-defaultbranch=openstack-ci/fuel-7.0/2015.1.0
+defaultbranch=openstack-ci/fuel-8.0/liberty
 
 
diff --git a/trusty/debian/apache-sites-available/openstack-dashboard-alias-only.conf b/trusty/debian/apache-sites-available/openstack-dashboard-alias-only.conf
new file mode 100644 (file)
index 0000000..20f7f34
--- /dev/null
@@ -0,0 +1,18 @@
+WSGIScriptAlias /horizon /usr/share/openstack-dashboard/openstack_dashboard/wsgi/django.wsgi
+WSGIDaemonProcess horizon user=www-data group=www-data
+Alias /static /usr/share/openstack-dashboard/openstack_dashboard/static
+Alias /horizon/static /usr/share/openstack-dashboard/openstack_dashboard/static
+
+
+<Directory /usr/share/openstack-dashboard/openstack_dashboard/wsgi/>
+       Order allow,deny
+       Allow from all
+</Directory>
+<Directory /usr/lib/python2.7/dist-packages/horizon/static/horizon>
+       Order allow,deny
+       Allow from all
+</Directory>
+<Directory /usr/share/openstack-dashboard/openstack_dashboard/static/>
+       Order allow,deny
+       Allow from all
+</Directory>
diff --git a/trusty/debian/apache-sites-available/openstack-dashboard-ssl-redirect.conf b/trusty/debian/apache-sites-available/openstack-dashboard-ssl-redirect.conf
new file mode 100644 (file)
index 0000000..9246c1d
--- /dev/null
@@ -0,0 +1,16 @@
+<VirtualHost *:80>
+    ServerAdmin webmaster@localhost
+    DocumentRoot /var/www
+
+    <Directory />
+       AllowOverride None
+    </Directory>
+
+    RewriteEngine On
+    RewriteCond %{HTTPS} off
+    RewriteRule (.*) https://%{HTTP_HOST}%{REQUEST_URI}
+
+    ErrorLog ${APACHE_LOG_DIR}/error.log
+    LogLevel warn
+    CustomLog ${APACHE_LOG_DIR}/access.log combined
+ </VirtualHost>
diff --git a/trusty/debian/apache-sites-available/openstack-dashboard-ssl.conf b/trusty/debian/apache-sites-available/openstack-dashboard-ssl.conf
new file mode 100644 (file)
index 0000000..3d13018
--- /dev/null
@@ -0,0 +1,40 @@
+<VirtualHost *:443>
+    ServerAdmin webmaster@localhost
+    SSLEngine on
+    SSLCertificateFile    /etc/ssl/certs/ssl-cert-snakeoil.pem
+    SSLCertificateKeyFile /etc/ssl/private/ssl-cert-snakeoil.key
+    BrowserMatch "MSIE [2-6]" \
+       nokeepalive ssl-unclean-shutdown \
+       downgrade-1.0 force-response-1.0
+    BrowserMatch "MSIE [17-9]" ssl-unclean-shutdown
+
+    WSGIScriptAlias / /usr/share/openstack-dashboard/openstack_dashboard/wsgi/django.wsgi
+    WSGIDaemonProcess horizon user=www-data group=www-data
+    #WSGIProcessGroup openstack-dashboard
+    Alias /static /usr/share/openstack-dashboard/openstack_dashboard/static
+
+    DocumentRoot /var/www
+
+    <Directory />
+       AllowOverride None
+    </Directory>
+
+    <Directory /usr/share/openstack-dashboard/openstack_dashboard/wsgi/>
+       Order allow,deny
+       Allow from all
+    </Directory>
+
+    <Directory /usr/lib/python2.7/dist-packages/horizon/static/horizon>
+       Order allow,deny
+       Allow from all
+    </Directory>
+
+    <Directory /usr/share/openstack-dashboard/openstack_dashboard/static/>
+       Order allow,deny
+       Allow from all
+    </Directory>
+
+    ErrorLog ${APACHE_LOG_DIR}/error.log
+    LogLevel warn
+    CustomLog ${APACHE_LOG_DIR}/access.log combined
+</VirtualHost>
diff --git a/trusty/debian/apache-sites-available/openstack-dashboard.conf b/trusty/debian/apache-sites-available/openstack-dashboard.conf
new file mode 100644 (file)
index 0000000..39276f5
--- /dev/null
@@ -0,0 +1,33 @@
+<VirtualHost *:80>
+    ServerAdmin webmaster@localhost
+    WSGIScriptAlias / /usr/share/openstack-dashboard/openstack_dashboard/wsgi/django.wsgi
+    WSGIDaemonProcess horizon user=horizon group=horizon
+    #WSGIProcessGroup openstack-dashboard
+    Alias /static /usr/share/openstack-dashboard/openstack_dashboard/static
+
+    DocumentRoot /var/www
+
+    <Directory />
+       AllowOverride None
+    </Directory>
+
+    <Directory /usr/share/openstack-dashboard/openstack_dashboard/wsgi/>
+       Order allow,deny
+       Allow from all
+    </Directory>
+
+    Alias /static/horizon /usr/lib/python2.7/dist-packages/horizon/static/horizon
+
+    <Directory /usr/lib/python2.7/dist-packages/horizon/static/horizon>
+       Order allow,deny
+       Allow from all
+    </Directory>
+
+    <Directory /usr/share/openstack-dashboard/openstack_dashboard/static/>
+       Order allow,deny
+       Allow from all
+    </Directory>
+    ErrorLog ${APACHE_LOG_DIR}/error.log
+    LogLevel warn
+    CustomLog ${APACHE_LOG_DIR}/access.log combined
+ </VirtualHost>
index 7ed364e948e42856d1763087c38748e0a7ace4bf..fb89774cd3d2133e6443bf57c5ce96328d061fb1 100644 (file)
@@ -1,16 +1,58 @@
-horizon (2:8.0.0~b3-5~u14.04+mos2) mos8.0; urgency=medium
+horizon (2:8.0.0-2~u14.04+mos1) mos8.0; urgency=medium
 
-  * Source: http://archive.ubuntu.com/ubuntu/pool/main/h/horizon/horizon_8.0.0~rc2-0ubuntu1.dsc
+  * Backported for MOS 8.0.
 
- -- Sergey Kolekonov <skolekonov@mirantis.com>  Fri, 09 Oct 2015 16:29:45 +0300
+ -- Thomas Goirand <zigo@debian.org>  Mon, 02 Nov 2015 13:48:00 +0100
 
-horizon (2:8.0.0~b3-5~u14.04+mos1) mos8.0; urgency=medium
+horizon (2:8.0.0-2) unstable; urgency=medium
 
-  * Source: http://http.debian.net/debian/pool/main/h/horizon/horizon_8.0.0~b3-5.dsc
-  * Add missing dependency to python-xstatic-qunit
-  * Add dependency to apache2
+  * Uploading to unstable.
+  * Disabled apache config properly on removal.
+
+ -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 07:21:51 +0000
+
+horizon (2:8.0.0-1) experimental; urgency=medium
+
+  * New upstream release.
+
+ -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 16:49:49 +0200
+
+horizon (2:8.0.0~rc2-2) experimental; urgency=medium
+
+  * Do not set /etc/.../local_settings.py as CONFFILES (Closes: #801543).
+
+ -- Thomas Goirand <zigo@debian.org>  Tue, 13 Oct 2015 08:46:21 +0000
+
+horizon (2:8.0.0~rc2-1) experimental; urgency=medium
+
+  * New upstream release.
+  * Fixed the issue with the file
+    /var/lib/openstack-dashboard/secret-key/.secret_key_store not being
+    writeable. What seems to happen is that compress, which is run as root,
+    writes that file.
+
+ -- Thomas Goirand <zigo@debian.org>  Thu, 08 Oct 2015 21:52:34 +0000
+
+horizon (2:8.0.0~rc1-1) experimental; urgency=medium
+
+  * New upstream release.
+  * Fixed (build-)depends for this release.
+  * Removed Improving_find_static_robustness.patch applied upstream.
+
+ -- Thomas Goirand <zigo@debian.org>  Sat, 26 Sep 2015 16:05:12 +0200
+
+horizon (2:8.0.0~b3-7) experimental; urgency=medium
+
+  * openstack-dashboard-apache now also Depends: apache2.
+
+ -- Thomas Goirand <zigo@debian.org>  Wed, 23 Sep 2015 13:25:46 +0200
+
+horizon (2:8.0.0~b3-6) experimental; urgency=medium
+
+  * Added a horizon-doc package.
+  * Fixed debian/rules dpkg-parsechangelog to be compatible with Ubuntu.
 
- -- Sergey Kolekonov <skolekonov@mirantis.com>  Fri, 25 Sep 2015  1:22:54 +0300
+ -- Thomas Goirand <zigo@debian.org>  Wed, 23 Sep 2015 08:50:12 +0200
 
 horizon (2:8.0.0~b3-5) experimental; urgency=medium
 
diff --git a/trusty/debian/compile-messages b/trusty/debian/compile-messages
new file mode 100755 (executable)
index 0000000..4079622
--- /dev/null
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+set -x
+
+CURDIR=`pwd`
+cd horizon
+${CURDIR}/manage.py compilemessages
+cd ..
+cd openstack_dashboard
+${CURDIR}/manage.py compilemessages
+cd ..
+rm -vf horizon/locale/en/LC_MESSAGES/django*.mo
+rm -vf openstack_dashboard/locale/en/LC_MESSAGES/django.mo
index 141121d74917c4bb9167c6b97918ee4169a52be7..d8b40311a166867c47ef92dd6094efa1f734cfe3 100644 (file)
@@ -1,17 +1,19 @@
 Source: horizon
 Section: net
 Priority: extra
-Maintainer: MOS Packaging Team <mos-packaging@mirantis.com>
-Build-Depends: debhelper (>= 9~),
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Uploaders: Thomas Goirand <zigo@debian.org>,
+Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools (>= 23~),
+               openstack-pkg-tools,
+               po-debconf,
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 1.6),
                python-setuptools,
                python-sphinx,
 Build-Depends-Indep: gettext,
                      python-babel,
-                     python-ceilometerclient (>= 1.0.13),
+                     python-ceilometerclient (>= 1.5.0),
                      python-cinderclient (>= 1:1.3.0),
                      python-compressor,
                      python-coverage,
@@ -35,8 +37,8 @@ Build-Depends-Indep: gettext,
                      python-nose-exclude,
                      python-nosehtmloutput,
                      python-nosexcover,
-                     python-novaclient (>= 2:2.26.0),
-                     python-openstack-auth (>= 1.4.0),
+                     python-novaclient (>= 2:2.28.1),
+                     python-openstack-auth (>= 2.0.0),
                      python-openstack.nose-plugin,
                      python-oslo.concurrency (>= 2.3.0),
                      python-oslo.config (>= 1:2.3.0),
@@ -73,7 +75,6 @@ Build-Depends-Indep: gettext,
                      python-xstatic-jsencrypt,
                      python-xstatic-magic-search (>= 0.2.5.1),
                      python-xstatic-mdi,
-                     python-xstatic-qunit,
                      python-xstatic-rickshaw,
                      python-xstatic-roboto-fontface (>= 0.4.3.2),
                      python-xstatic-smart-table,
@@ -82,14 +83,15 @@ Build-Depends-Indep: gettext,
                      python-xvfbwrapper,
                      python-yaml,
 Standards-Version: 3.9.6
-Homepage: http://launchpad.net/horizon
-XS-Testsuite: autopkgtest
+Homepage: http://horizon.openstack.org
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/horizon.git;a=summary
+Vcs-Git: git://anonscm.debian.org/openstack/horizon.git
 
 Package: python-django-horizon
 Section: python
 Architecture: all
 Depends: python-babel,
-         python-ceilometerclient (>= 1.0.13),
+         python-ceilometerclient (>= 1.5.0),
          python-cinderclient (>= 1:1.3.0),
          python-compressor,
          python-django,
@@ -105,15 +107,15 @@ Depends: python-babel,
          python-memcache,
          python-netaddr (>= 0.7.12),
          python-neutronclient (>= 1:2.6.0),
-         python-novaclient (>= 2:2.26.0),
-         python-openstack-auth (>= 1.4.0),
+         python-novaclient (>= 2:2.28.1),
+         python-openstack-auth (>= 2.0.0),
          python-oslo.concurrency (>= 2.3.0),
          python-oslo.config (>= 1:2.3.0),
          python-oslo.i18n (>= 1.5.0),
          python-oslo.policy (>= 0.5.0),
          python-oslo.serialization (>= 1.4.0),
          python-oslo.utils (>= 2.0.0),
-         python-pbr (>= 1.6),
+         python-pbr (>= 1.8),
          python-pint,
          python-pyscss (>= 1.3.4),
          python-saharaclient (>= 0.10.0),
@@ -141,7 +143,6 @@ Depends: python-babel,
          python-xstatic-jsencrypt,
          python-xstatic-magic-search (>= 0.2.5.1),
          python-xstatic-mdi,
-         python-xstatic-qunit,
          python-xstatic-rickshaw,
          python-xstatic-roboto-fontface (>= 0.4.3.2),
          python-xstatic-smart-table,
@@ -151,32 +152,57 @@ Depends: python-babel,
          ${misc:Depends},
          ${python:Depends},
 Recommends: memcached,
-Description: Django module providing web based interaction with OpenStack
- The Django-Nova project is a Django module that is used to provide web based
- interactions with the OpenStack Nova cloud controller.
+Description: Django module providing web interaction with OpenStack
+ The OpenStack Dashboard is a web application to control an OpenStack
+ cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
+ using the OpenStack REST API just as you would with the command line
+ clients.
+ .
+ Horizon is a Django module that permits interaction with an OpenStack
+ cloud. It can be used to build a dashboard to control an OpenStack cloud.
 
 Package: openstack-dashboard
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.7.2),
 Depends: adduser,
-         apache2 | httpd,
-         libapache2-mod-wsgi (>= 2.3),
+         libjs-jquery,
+         libjs-jquery-cookie,
          python-django-horizon (= ${source:Version}),
          ${misc:Depends},
          ${python:Depends},
-Description: Django web interface for OpenStack
- The OpenStack Dashboard is a reference implementation of a Django site that
- uses the Django-Nova project to provide web based interactions with the
- OpenStack Nova cloud controller.
+         ${shlibs:Depends},
+Recommends: memcached,
+            openstack-dashboard-apache,
+Description: web application to control an OpenStack cloud
+ The OpenStack Dashboard is a web application to control an OpenStack
+ cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
+ using the OpenStack REST API just as you would with the command line
+ clients.
 
-Package: horizon-doc
+Package: openstack-dashboard-apache
 Architecture: all
+Depends: apache2,
+         debconf,
+         libapache2-mod-wsgi (>= 2.3),
+         openstack-dashboard,
+         ${misc:Depends},
+Description: web application to control an OpenStack cloud - Apache support
+ The OpenStack Dashboard is a web application to control an OpenStack
+ cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
+ using the OpenStack REST API just as you would with the command line
+ clients.
+ .
+ This package includes the configuration files to use within Apache. If you
+ wish to configure Apache yourself, use only openstack-dashboard.
+
+Package: horizon-doc
 Section: doc
-Pre-Depends: dpkg (>= 1.15.7.2),
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Description:
- The OpenStack Dashboard is a reference implementation of a Django site that
- uses the Django-Nova project to provide web based interactions with the
- OpenStack Nova cloud controller.
+Architecture: all
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
+Description: web application to control an OpenStack cloud - doc
+ The OpenStack Dashboard is a web application to control an OpenStack
+ cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
+ using the OpenStack REST API just as you would with the command line
+ clients.
  .
  This package contains the documentation.
index 81b509b672f409e5f6be059ddea4cb5b84c0fdf1..b76de850a42c2e104d92dbeee5240784c0897668 100644 (file)
@@ -1,43 +1,47 @@
-Format: http://dep.debian.net/deps/dep5
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
 Upstream-Name: horizon
-Source: http://github.com/openstack/horizon
+Source: git://github.com/openstack/horizon.git
 
 Files: *
-Copyright: 2010 United States Government as represented by the Administrator of the National Aeronautics and Space Administration.
-           2011 Nebula, Inc.
-           2011 OpenStack LLC
-            2011 Midokura KK
-License: Apache-2
+Copyright: 2011 OpenStack LLC
+           2011 Nebula, Inc
+           2011 United States Government as represented by the Administrator
+                of the National Aeronautics and Space Administration
+           2011 Midokura KK
+License: Apache-2.0
+
+Files: debian/*
+Copyright: 2011 Julien Danjou <acid@debian.org>
+        2012 Thomas Goirand <zigo@debian.org>
+License: Apache-2.0
 
 Files: tools/rfc.sh
 Copyright: Copyright (c) 2010-2011 Gluster, Inc
 License: GPL-v3
-                     GNU GENERAL PUBLIC LICENSE
-                       Version 3, 29 June 2007
+
+License: GPL-v3
+ GNU GENERAL PUBLIC LICENSE
+ Version 3, 29 June 2007
  .
  Copyright (C) 2007 Free Software Foundation, Inc. <http://fsf.org/>
- Everyone is permitted to copy and distribute verbatim copies
of this license document, but changing it is not allowed.
+ Everyone is permitted to copy and distribute verbatim copies of this license
+ document, but changing it is not allowed.
  .
- On Debian-based systems the full text of the Apache version 2.0 license
- can be found in `/usr/share/common-licenses/GPL-3'
-
-Files: debian/*
-Copyright: (c) 2012 Chuck Short <chuck.short@canonical.com>
-License: Apache-2
+ On Debian-based systems the full text of the Apache version 2.0 license can be
+ found in `/usr/share/common-licenses/GPL-3'
 
-License: Apache-2
- Licensed under the Apache License, Version 2.0 (the "License");
- you may not use this file except in compliance with the License.
You may obtain a copy of the License at
+License: Apache-2.0
+ Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ use this file except in compliance with the License. You may obtain a copy of
+ the License at
  .
   http://www.apache.org/licenses/LICENSE-2.0
+ http://www.apache.org/licenses/LICENSE-2.0
  .
  Unless required by applicable law or agreed to in writing, software
- distributed under the License is distributed on an "AS IS" BASIS,
- WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
- See the License for the specific language governing permissions and
limitations under the License.
+ distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ License for the specific language governing permissions and limitations under
+ the License.
  .
- On Debian-based systems the full text of the Apache version 2.0 license
can be found in `/usr/share/common-licenses/Apache-2.0'.
+ On Debian systems, the complete text of the Apache version 2.0 license can be
found in "/usr/share/common-licenses/Apache-2.0".
diff --git a/trusty/debian/docs b/trusty/debian/docs
new file mode 100644 (file)
index 0000000..a1320b1
--- /dev/null
@@ -0,0 +1 @@
+README.rst
index 43fb0440454554e32843cb6a9f43cf0ecbf3708a..a7b8de05ea127501d9afc7701255937eb32cc68b 100644 (file)
@@ -1,6 +1,8 @@
 [DEFAULT]
-debian-branch = master
-pristine-tar = True
+upstream-branch = master
+debian-branch = debian/liberty
+upstream-tag = %(version)s
 
 [buildpackage]
-export-dir = ../build-area
+export-dir = ../build-area/
+compression = xz
diff --git a/trusty/debian/horizon-doc.doc-base b/trusty/debian/horizon-doc.doc-base
new file mode 100644 (file)
index 0000000..3a1c47a
--- /dev/null
@@ -0,0 +1,9 @@
+Document: horizon-doc
+Title: Horizon Documentation
+Author: OpenStack
+Abstract: Sphinx documentation for Horizon
+Section: Programming/Python
+
+Format: HTML
+Index: /usr/share/doc/horizon-doc/html/index.html
+Files: /usr/share/doc/horizon-doc/html/*
diff --git a/trusty/debian/openstack-dashboard-apache.config b/trusty/debian/openstack-dashboard-apache.config
new file mode 100644 (file)
index 0000000..4174d90
--- /dev/null
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+set -e
+
+. /usr/share/debconf/confmodule
+
+if [ -r /etc/default/openstack-dashboard-apache ] ; then
+       . /etc/default/openstack-dashboard-apache
+
+       if [ "${HORIZON_ACTIVATE_VHOSTS}" = "true" ] || [ "${HORIZON_ACTIVATE_VHOSTS}" = "yes" ] ; then
+               db_set horizon/activate_vhost true
+       else
+               db_set horizon/activate_vhost false
+       fi
+fi
+
+
+db_input high horizon/activate_vhost || true
+db_go || true
+
+db_get horizon/activate_vhost
+if [ "${RET}" = "true" ] ; then
+       if [ -r /etc/default/openstack-dashboard-apache ] ; then
+               if [ "${HORIZON_USE_SSL}" = "true" ] || [ "${HORIZON_USE_SSL}" = "yes" ] ; then
+                       db_set horizon/use_ssl true
+               else
+                       db_set horizon/use_ssl false
+               fi
+       fi
+
+       db_input high horizon/use_ssl || true
+       db_go || true
+fi
+
+exit 0
diff --git a/trusty/debian/openstack-dashboard-apache.install b/trusty/debian/openstack-dashboard-apache.install
new file mode 100644 (file)
index 0000000..b4567e1
--- /dev/null
@@ -0,0 +1,4 @@
+debian/apache-sites-available/openstack-dashboard-ssl-redirect.conf    /etc/apache2/sites-available
+debian/apache-sites-available/openstack-dashboard-ssl.conf     /etc/apache2/sites-available
+debian/apache-sites-available/openstack-dashboard.conf /etc/apache2/sites-available
+debian/apache-sites-available/openstack-dashboard-alias-only.conf      /etc/apache2/sites-available
diff --git a/trusty/debian/openstack-dashboard-apache.postinst b/trusty/debian/openstack-dashboard-apache.postinst
new file mode 100644 (file)
index 0000000..2a8b8c9
--- /dev/null
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = "configure" ] ; then
+       . /usr/share/debconf/confmodule
+       if ! [ -f /etc/default/openstack-dashboard-apache ] ; then
+               echo "# This file controls the behavior of the
+# Apache installation / upgrade.
+
+# Controls if the Apache \"default\" site provided by the Debian
+# Apache package should be disabled, and the \"openstack-dashboard\"
+# virtual host enabled. If set to no, then you will have to do the
+# setup manually.
+HORIZON_ACTIVATE_VHOSTS=yes
+
+# If the above HORIZON_ACTIVATE_VHOSTS is set to yes, the
+# below directive is set to yes also, then Horizon will
+# be setup using SSL, and any query to the non-SSL site
+# will be redirected to the SSL site.
+HORIZON_USE_SSL=yes" >/etc/default/openstack-dashboard-apache
+       fi
+       db_get horizon/activate_vhost
+       if [ "${RET}" = "true" ] && [ -x /etc/init.d/apache2 ] ; then
+               sed -i 's#[ \t]*HORIZON_ACTIVATE_VHOSTS=.*#HORIZON_ACTIVATE_VHOSTS=yes#' /etc/default/openstack-dashboard-apache
+               a2dissite 000-default.conf || true
+               a2dissite default-ssl.conf || true
+               sed -i "s|^[ \t]*WEBROOT[ \t]=.*|WEBROOT = '/'|" /etc/openstack-dashboard/local_settings.py
+               db_get horizon/use_ssl
+               if [ "${RET}" = "true" ] ; then
+                       sed -i 's#[ \t]*HORIZON_USE_SSL=.*#HORIZON_USE_SSL=yes#' /etc/default/openstack-dashboard-apache
+                       a2enmod ssl
+                       a2enmod rewrite
+                       a2dissite openstack-dashboard.conf
+                       a2dissite openstack-dashboard-alias-only.conf
+                       a2ensite openstack-dashboard-ssl-redirect.conf
+                       a2ensite openstack-dashboard-ssl.conf
+               else
+                       sed -i 's#[ \t]*HORIZON_USE_SSL=.*#HORIZON_USE_SSL=no#' /etc/default/openstack-dashboard-apache
+                       a2dissite openstack-dashboard-ssl.conf
+                       a2dissite openstack-dashboard-ssl-redirect.conf
+                       a2dissite openstack-dashboard-alias-only.conf
+                       a2ensite openstack-dashboard.conf
+               fi
+               /usr/share/openstack-dashboard/manage.py compress --force
+               rm -f /var/lib/openstack-dashboard/secret-key/.secret_key_store
+               chown -R www-data /var/lib/openstack-dashboard/secret-key
+               invoke-rc.d --quiet apache2 reload
+       else
+               sed -i 's#[ \t]*HORIZON_ACTIVATE_VHOSTS=.*#HORIZON_ACTIVATE_VHOSTS=no#' /etc/default/openstack-dashboard-apache
+               a2ensite 000-default.conf || true
+               a2ensite default-ssl.conf || true
+               sed -i "s|^[ \t]*WEBROOT[ \t]=.*|WEBROOT = '/horizon'|" /etc/openstack-dashboard/local_settings.py
+               a2dissite openstack-dashboard.conf
+               a2dissite openstack-dashboard-ssl-redirect.conf
+               a2dissite openstack-dashboard-ssl.conf
+               a2ensite openstack-dashboard-alias-only.conf
+               /usr/share/openstack-dashboard/manage.py compress --force
+               rm -f /var/lib/openstack-dashboard/secret-key/.secret_key_store
+               chown -R www-data /var/lib/openstack-dashboard/secret-key
+               invoke-rc.d --quiet apache2 reload
+       fi
+       db_stop
+fi
+
+#DEBHELPER#
+
+exit 0
diff --git a/trusty/debian/openstack-dashboard-apache.postrm b/trusty/debian/openstack-dashboard-apache.postrm
new file mode 100644 (file)
index 0000000..e3bebbf
--- /dev/null
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -e
+
+if [ "${1}" = "purge" ] ; then
+       if [ -f /etc/default/openstack-dashboard-apache ] ; then
+               rm -rf /etc/default/openstack-dashboard-apache
+       fi
+fi
+
+#DEBHELPER#
diff --git a/trusty/debian/openstack-dashboard-apache.prerm b/trusty/debian/openstack-dashboard-apache.prerm
new file mode 100644 (file)
index 0000000..a11c190
--- /dev/null
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+if [ -x /usr/sbin/a2dissite ] ; then
+       for i in openstack-dashboard openstack-dashboard-ssl-redirect openstack-dashboard-ssl openstack-dashboard-alias-only.conf openstack-dashboard.conf openstack-dashboard-ssl.conf openstack-dashboard-ssl-redirect.conf ; do
+               if [ -L /etc/apache2/sites-enabled/${i} ] ; then
+                       a2dissite ${i} || true
+               fi
+               if [ -L /etc/apache2/sites-enabled/${i}.conf ] ; then
+                       a2dissite ${i}.conf
+               fi
+       done
+fi
+
+#DEBHELPER#
diff --git a/trusty/debian/openstack-dashboard-apache.templates b/trusty/debian/openstack-dashboard-apache.templates
new file mode 100644 (file)
index 0000000..248acc4
--- /dev/null
@@ -0,0 +1,28 @@
+# These templates have been reviewed by the debian-l10n-english
+# team
+#
+# If modifications/additions/rewording are needed, please ask
+# debian-l10n-english@lists.debian.org for advice.
+#
+# Even minor modifications require translation updates and such
+# changes should be coordinated with translators and reviewers.
+
+Template: horizon/activate_vhost
+Type: boolean
+Default: false
+_Description: Activate Dashboard and disable default VirtualHost?
+ The Apache package sets up a default web site and a default page, configured
+ in /etc/apache2/sites-available/default.
+ .
+ If this option is not selected, Horizon will be installed using /horizon
+ instead of the webroot.
+ .
+ Choose this option to replace that default with the OpenStack Dashboard
+ configuration.
+
+Template: horizon/use_ssl
+Type: boolean
+Default: true
+_Description: Should the Dashboard use HTTPS?
+ Select this option if you would like Horizon to be served over HTTPS only,
+ with a redirection to HTTPS if HTTP is in use.
diff --git a/trusty/debian/openstack-dashboard-nginx.conf b/trusty/debian/openstack-dashboard-nginx.conf
new file mode 100644 (file)
index 0000000..03534a9
--- /dev/null
@@ -0,0 +1,6 @@
+server {
+  location / {
+    include uwsgi_params;
+    uwsgi_pass unix:///var/run/horizon-wsgi.sock;
+  }
+}
\ No newline at end of file
diff --git a/trusty/debian/openstack-dashboard-uwsgi.xml b/trusty/debian/openstack-dashboard-uwsgi.xml
new file mode 100644 (file)
index 0000000..12c1f96
--- /dev/null
@@ -0,0 +1,8 @@
+<uwsgi>
+  <socket>/var/run/horizon-uwsgi.sock</socket>
+  <pidfile>/var/run/horizon-uwsgi.pid</pidfile>
+  <mount>/=/usr/share/openstack-dashboard/openstack_dashboard/wsgi/django.wsgi</mount>
+  <plugin>python27</plugin>
+  <uid>www-data</uid>
+  <gid>www-data</gid>
+</uwsgi>
diff --git a/trusty/debian/openstack-dashboard.conf b/trusty/debian/openstack-dashboard.conf
deleted file mode 100644 (file)
index 7f24ea9..0000000
+++ /dev/null
@@ -1,8 +0,0 @@
-WSGIScriptAlias /horizon /usr/share/openstack-dashboard/openstack_dashboard/wsgi/django.wsgi
-WSGIDaemonProcess horizon user=horizon group=horizon processes=3 threads=10
-WSGIProcessGroup horizon
-Alias /horizon/static /usr/share/openstack-dashboard/static
-<Directory /usr/share/openstack-dashboard/openstack_dashboard/wsgi>
-  Order allow,deny
-  Allow from all
-</Directory>
index 41c402157a94f1870f4dbe636a1100d6d50bf301..f0b5d7f0ce02764475a138df807a45e887b91dc2 100644 (file)
@@ -1,6 +1,2 @@
-/etc/openstack-dashboard
-/usr/share/openstack-dashboard
 /usr/share/openstack-dashboard/bin/less/
-/usr/share/openstack-dashboard/openstack_dashboard/static/dashboard/css
-/usr/share/openstack-dashboard/openstack_dashboard/static/dashboard/js
-/var/lib/openstack-dashboard
+
index 1781db6a616309ba74a23b58206574fd7c89b0dd..369bff1c0a516208c784082ab4116b99162ce4d3 100644 (file)
@@ -1,3 +1 @@
-debian/openstack-dashboard.conf etc/apache2/conf-available
-etc/openstack-dashboard
 usr/share/openstack-dashboard
index ec8853b1255b88af3ab4c3fb92fce98eb7a368be..4f2b7d7170998df7f44f7fd6f88fc4b912aba9c2 100644 (file)
@@ -1 +1,10 @@
-/usr/bin/lessc /usr/share/openstack-dashboard/bin/less/lessc
+/usr/bin/lessc                                         /usr/share/openstack-dashboard/bin/less/lessc
+
+/usr/share/openstack-dashboard/openstack_dashboard/static /usr/share/openstack-dashboard/static
+/usr/lib/python2.7/dist-packages/horizon/static/horizon                /usr/share/openstack-dashboard/openstack_dashboard/static/horizon
+/var/lib/openstack-dashboard/static/scss /usr/share/openstack-dashboard/openstack_dashboard/static/dashboard/scss
+/var/lib/openstack-dashboard/static/js /usr/share/openstack-dashboard/openstack_dashboard/static/dashboard/js
+
+/usr/share/fonts-font-awesome/fonts /usr/lib/python2.7/dist-packages/horizon/static/horizon/lib/font-awesome/fonts
+/usr/share/fonts-roboto-fontface/fonts /usr/lib/python2.7/dist-packages/horizon/static/horizon/lib/roboto_fontface/fonts
+/usr/share/fonts-materialdesignicons-webfont/fonts /usr/lib/python2.7/dist-packages/horizon/static/horizon/lib/mdi/fonts
index 109b8fb5ffc8a0774441807f7045a878c0821362..db6f5d12bae4b44609f93e551cf1a30383e81c42 100644 (file)
@@ -1,76 +1,39 @@
 #!/bin/sh
-# vim: set ts=2 et:
 
 set -e
 
-CONF="openstack-dashboard.conf"
-
-if [ "$1" = "configure" ]; then
-  # /etc/apache2/conf.d/dashboard.conf -> /etc/apache2/conf-available/openstack-dashboard.conf
-  dpkg-maintscript-helper mv_conffile \
-    /etc/apache2/conf.d/dashboard.conf /etc/apache2/conf-available/$CONF \
-    2012.1~rc1-0ubuntu1 -- "$@"
-
-  # Transition config to apache 2.4 compatable location.
-  dpkg-maintscript-helper mv_conffile \
-    /etc/apache2/conf.d/$CONF \
-    /etc/apache2/conf-available/$CONF \
-    1:2013.2~b2-0ubuntu3 -- "$@"
-
-       if ! getent group horizon > /dev/null 2>&1
-       then
-               addgroup --system horizon >/dev/null
+if [ "$1" = "configure" ] ; then
+       adduser --system \
+               --home /var/lib/horizon \
+               --quiet \
+               --disabled-password \
+               --group horizon
+
+       mkdir -p /var/lib/openstack-dashboard/static/js
+       mkdir -p /var/lib/openstack-dashboard/static/css
+       mkdir -p /var/lib/openstack-dashboard/secret-key
+       chown www-data:www-data /var/lib/openstack-dashboard/static
+       chown www-data:www-data /var/lib/openstack-dashboard/static/css
+       chown www-data:www-data /var/lib/openstack-dashboard/static/js
+       chown www-data:www-data /var/lib/openstack-dashboard/secret-key
+
+       mkdir -p /etc/openstack-dashboard
+       if ! [ -f /etc/openstack-dashboard/local_settings.py ] ; then
+               cp /usr/share/openstack-dashboard/local_settings.py /etc/openstack-dashboard/local_settings.py
        fi
-       if ! getent passwd horizon > /dev/null 2>&1
-       then
-    adduser --system --home /usr/share/openstack-dashboard/ --ingroup horizon \
-            --no-create-home --shell /bin/false horizon
-       fi
-
-  (
-    cd /usr/share/openstack-dashboard
-    echo "Collecting and compressing static assets..."
-    rm -rf /usr/share/openstack-dashboard/static/custom/* || :
-    python manage.py collectstatic --clear --noinput 2>&1 > /dev/null
-    python manage.py compress --force 2>&1 > /dev/null
-  )
-
-  if [ -e /usr/share/openstack-dashboard/openstack_dashboard/static ] ; then
-    chown -R horizon:horizon \
-      /usr/share/openstack-dashboard/openstack_dashboard/static
-  fi
 
-  if [ -d /etc/openstack-dashboard/ ] ; then
-    chown horizon:horizon /etc/openstack-dashboard/
-  fi
-
-  A22_STATE=$(dpkg-query -f '${Status}' -W 'apache2.2-common' 2>/dev/null | awk '{print $3}' || true)
-
-  if [ -e /usr/share/apache2/apache2-maintscript-helper ] ; then
-    # apache 2.4
-    . /usr/share/apache2/apache2-maintscript-helper
-    apache2_invoke enconf $CONF || exit $?
-  elif [ "$A22_STATE" = "installed" ] || [ "$A22_STATE" = "unpacked" ] ; then
-    # apache 2.2
-    [ -d /etc/apache2/conf.d/ ] && [ ! -L /etc/apache2/conf.d/$CONF ] &&
-      ln -s ../conf-available/$CONF /etc/apache2/conf.d/$CONF
-    [ -x /etc/init.d/apache2 ] && invoke-rc.d --quiet apache2 reload
-  fi
-
-  if [ ! -d /var/lib/horizon ]; then
-    mkdir /var/lib/horizon
-  fi
-  chown -R horizon:horizon /var/lib/horizon
+       # Compress the JS and CSS with python-compressor and python-lesscpy
+       /usr/share/openstack-dashboard/manage.py compress --force
+       rm /var/lib/openstack-dashboard/secret-key/.secret_key_store
+       chown -R www-data /var/lib/openstack-dashboard/secret-key
+fi
 
-  if [ -d /var/lib/openstack-dashboard ] ; then
-    # Generated secret storage for single node use - see local_settings.py
-    # for more details of SECRET_KEY
-    chmod 0700 /var/lib/openstack-dashboard
-    if [ -f /etc/openstack-dashboard/secret_key ]; then
-      mv /etc/openstack-dashboard/secret_key /var/lib/openstack-dashboard
-    fi
-    chown -R horizon:horizon /var/lib/openstack-dashboard
-  fi
+if [ "$1" = "triggered" ] ; then
+       /usr/share/openstack-dashboard/manage.py compress --force
+       rm /var/lib/openstack-dashboard/secret-key/.secret_key_store
+       chown -R www-data /var/lib/openstack-dashboard/secret-key
 fi
 
 #DEBHELPER#
+
+exit 0
index 407ec1b3cec9feb08c7de16569d34ebd06fdf988..d24be7748036876c270a8bbd5bc6bd1e6aa97416 100644 (file)
@@ -1,44 +1,15 @@
 #!/bin/sh
-# vim: set ts=2 et:
 
 set -e
 
-CONF="openstack-dashboard.conf"
-
-# /etc/apache2/conf.d/dashboard.conf -> /etc/apache2/conf-available/openstack-dashboard.conf
-dpkg-maintscript-helper mv_conffile \
-  /etc/apache2/conf.d/dashboard.conf /etc/apache2/conf-available/$CONF \
-  2012.1~rc1-0ubuntu1 -- "$@"
-
-# Transition config to apache 2.4 compatable location.
-dpkg-maintscript-helper mv_conffile \
-  /etc/apache2/conf.d/openstack-dashboard.conf \
-  /etc/apache2/conf-available/openstack-dashboard.conf \
-  1:2013.2~b2-0ubuntu3 -- "$@"
-
-if [ "$1" = "remove" ] || [ "$1" = "purge" ] ; then
-  A22_STATE=$(dpkg-query -f '${Status}' -W 'apache2.2-common' 2>/dev/null | awk '{print $3}' || true)
-
-  if [ -e /usr/share/apache2/apache2-maintscript-helper ] ; then
-    # apache 2.4
-    . /usr/share/apache2/apache2-maintscript-helper
-    apache2_invoke disconf $CONF || exit $?
-  elif [ "$A22_STATE" = "installed" ] || [ "$A22_STATE" = "unpacked" ] ; then
-    # apache 2.2
-    [ -d /etc/apache2/conf.d/ ] && [ -L /etc/apache2/conf.d/$CONF ] &&
-      rm /etc/apache2/conf.d/$CONF
-    [ -x /etc/init.d/apache2 ] && invoke-rc.d --quiet apache2 reload
-  fi
-
-fi
-
-if [ "$1" = "purge" ] ; then
-               if (which deluser && getent passwd horizon) > /dev/null 2>&1; then
-                       deluser --system --quiet --backup-to /var/lib horizon
-    fi
-               if (which delgroup && getent group horizon) > /dev/null 2>&1; then
-                       delgroup --system --quiet horizon
-               fi
+if [ "${1}" = "purge" ] ; then
+       rm -f /etc/openstack-dashboard/local_settings.py
+       rmdir --ignore-fail-on-non-empty /etc/openstack-dashboard || true
+       rm -rf /var/lib/openstack-dashboard
+       rm -rf /var/lib/horizon
+       rm -rf /usr/share/openstack-dashboard
 fi
 
 #DEBHELPER#
+
+exit 0
diff --git a/trusty/debian/openstack-dashboard.preinst b/trusty/debian/openstack-dashboard.preinst
deleted file mode 100644 (file)
index 4979072..0000000
+++ /dev/null
@@ -1,17 +0,0 @@
-#!/bin/sh
-# vim: set ts=2 et:
-
-set -e
-
-# /etc/apache2/conf.d/dashboard.conf -> /etc/apache2/conf.d/openstack-dashboard.conf
-dpkg-maintscript-helper mv_conffile \
-  /etc/apache2/conf.d/dashboard.conf /etc/apache2/conf.d/openstack-dashboard.conf \
-  2012.1~rc1-0ubuntu1 -- "$@"
-
-# Transition config to apache 2.4 compatable location.
-dpkg-maintscript-helper mv_conffile \
-  /etc/apache2/conf.d/openstack-dashboard.conf \
-  /etc/apache2/conf-available/openstack-dashboard.conf \
-  1:2013.2~b2-0ubuntu3 -- "$@"
-
-#DEBHELPER#
diff --git a/trusty/debian/patches/better_defaults.patch b/trusty/debian/patches/better_defaults.patch
deleted file mode 100644 (file)
index e75f978..0000000
+++ /dev/null
@@ -1,93 +0,0 @@
-From 2d4f41d36323dc208214fc3ae94029a50790d673 Mon Sep 17 00:00:00 2001
-From: Sergey Kolekonov <skolekonov@mirantis.com>
-Date: Fri, 9 Oct 2015 23:24:48 +0300
-Subject: [PATCH] Better defaults
-
----
- .../local/local_settings.py.example                | 32 ++++++++++++++--------
- openstack_dashboard/settings.py                    |  3 +-
- 2 files changed, 22 insertions(+), 13 deletions(-)
-
-diff --git a/openstack_dashboard/local/local_settings.py.example b/openstack_dashboard/local/local_settings.py.example
-index 5f4db63..4280a47 100644
---- a/openstack_dashboard/local/local_settings.py.example
-+++ b/openstack_dashboard/local/local_settings.py.example
-@@ -7,7 +7,7 @@ from horizon.utils import secret_key
- from openstack_dashboard import exceptions
- from openstack_dashboard.settings import HORIZON_CONFIG
--DEBUG = True
-+DEBUG = False
- TEMPLATE_DEBUG = DEBUG
-@@ -101,25 +101,24 @@ LOCAL_PATH = os.path.dirname(os.path.abspath(__file__))
- # (usually behind a load-balancer). Either you have to make sure that a session
- # gets all requests routed to the same dashboard instance or you set the same
- # SECRET_KEY for all of them.
--SECRET_KEY = secret_key.generate_or_read_from_file(
--    os.path.join(LOCAL_PATH, '.secret_key_store'))
-+SECRET_KEY = secret_key.generate_or_read_from_file('/var/lib/openstack-dashboard/secret_key')
- # We recommend you use memcached for development; otherwise after every reload
- # of the django development server, you will have to login again. To use
- # memcached set CACHES to something like
--#CACHES = {
--#    'default': {
--#        'BACKEND': 'django.core.cache.backends.memcached.MemcachedCache',
--#        'LOCATION': '127.0.0.1:11211',
--#    }
--#}
--
- CACHES = {
-     'default': {
--        'BACKEND': 'django.core.cache.backends.locmem.LocMemCache',
-+        'BACKEND': 'django.core.cache.backends.memcached.MemcachedCache',
-+        'LOCATION': '127.0.0.1:11211',
-     }
- }
-+#CACHES = {
-+#    'default': {
-+#        'BACKEND': 'django.core.cache.backends.locmem.LocMemCache',
-+#    }
-+#}
-+
- # Send email to the console by default
- EMAIL_BACKEND = 'django.core.mail.backends.console.EmailBackend'
- # Or send them to /dev/null
-@@ -644,6 +643,17 @@ REST_API_REQUIRED_SETTINGS = ['OPENSTACK_HYPERVISOR_FEATURES']
- # may be deprecated in the future without notice.
- #REST_API_ADDITIONAL_SETTINGS = []
-+# Default Ubuntu apache configuration uses /horizon as the application root.
-+WEBROOT='/horizon/'
-+
-+# By default, validation of the HTTP Host header is disabled.  Production
-+# installations should have this set accordingly.  For more information
-+# see https://docs.djangoproject.com/en/dev/ref/settings/.
-+ALLOWED_HOSTS = '*'
-+
-+# Compress all assets offline as part of packaging installation
-+COMPRESS_OFFLINE = True
-+
- # DISALLOW_IFRAME_EMBED can be used to prevent Horizon from being embedded
- # within an iframe. Legacy browsers are still vulnerable to a Cross-Frame
- # Scripting (XFS) vulnerability, so this option allows extra security hardening
-diff --git a/openstack_dashboard/settings.py b/openstack_dashboard/settings.py
-index 1a05135..cb7adbf 100644
---- a/openstack_dashboard/settings.py
-+++ b/openstack_dashboard/settings.py
-@@ -352,8 +352,7 @@ if not SECRET_KEY:
-                                   'local')
-     from horizon.utils import secret_key
--    SECRET_KEY = secret_key.generate_or_read_from_file(os.path.join(LOCAL_PATH,
--                                                       '.secret_key_store'))
-+    SECRET_KEY = secret_key.generate_or_read_from_file('/var/lib/openstack-dashboard/secret_key')
- from openstack_dashboard import policy_backend
- POLICY_CHECK_FUNCTION = policy_backend.check
--- 
-1.9.1
-
index fde7344b9dd31cfaedfaa758faf7f8b7ac95be8d..f99e797d9168684f055bb35bdbd720c133d771fd 100644 (file)
@@ -1,5 +1,11 @@
---- a/openstack_dashboard/wsgi/django.wsgi
-+++ b/openstack_dashboard/wsgi/django.wsgi
+Description: Adds /usr/share/openstack-dashboard in the search path for the django.wsgi
+Author: Mehdi Abaakouk <sileht@sileht.net>
+Forwarded: not-needed
+
+Index: horizon/openstack_dashboard/wsgi/django.wsgi
+===================================================================
+--- horizon.orig/openstack_dashboard/wsgi/django.wsgi
++++ horizon/openstack_dashboard/wsgi/django.wsgi
 @@ -9,6 +9,8 @@ sys.path.insert(0, os.path.join(os.path.
  os.environ['DJANGO_SETTINGS_MODULE'] = 'openstack_dashboard.settings'
  sys.stdout = sys.stderr
index 2502c168d4a1c960747c86c8ff7c8829744b03c3..84da543a05b8b3677c96e226ef232a4dd72d861e 100644 (file)
@@ -1,6 +1,12 @@
---- a/manage.py
-+++ b/manage.py
-@@ -17,6 +17,8 @@ import sys
+Description: Adds /usr/share/openstack-dashboard in the search path for manage.py
+Author: Mehdi Abaakouk <sileht@sileht.net>
+Forwarded: not-needed
+
+Index: horizon/manage.py
+===================================================================
+--- horizon.orig/manage.py     2013-12-09 22:14:14.000000000 +0800
++++ horizon/manage.py  2013-12-10 00:30:58.000000000 +0800
+@@ -17,6 +17,8 @@
  
  from django.core.management import execute_from_command_line  # noqa
  
diff --git a/trusty/debian/patches/fixed-horizon-MANIFEST.in.patch b/trusty/debian/patches/fixed-horizon-MANIFEST.in.patch
new file mode 100644 (file)
index 0000000..0b291ac
--- /dev/null
@@ -0,0 +1,17 @@
+Description: Fixed horizon MANIFEST.in
+Author: Thomas Goirand <zigo@debian.org>
+Forwarded: not-needed
+Last-Update: 2015-09-26
+
+--- horizon-8.0.0~rc1.orig/MANIFEST.in
++++ horizon-8.0.0~rc1/MANIFEST.in
+@@ -1,6 +1,6 @@
+-recursive-include doc *.py *.rst *.scss *.js *.html *.conf *.jpg *.gif *.png
+-recursive-include horizon *.html *.scss *.js *.csv *.template *.tmpl *.mo *.po
+-recursive-include openstack_dashboard *.html *.js *.scss *.mo *.po *.example *.eot *.svg *.ttf *.woff *.png *.ico *.wsgi *.gif *.csv *.template
++recursive-include doc *
++recursive-include horizon *
++recursive-include openstack_dashboard *
+ recursive-include tools *.py *.sh
+ include AUTHORS
index 06a4700c1941a5ace12a0b56002aad4aed35be0e..e883b0358c2035eff2581538e242ec72baf1c5fe 100644 (file)
@@ -1,3 +1,3 @@
 fix-dashboard-django-wsgi.patch
 fix-dashboard-manage.patch
-better_defaults.patch
+fixed-horizon-MANIFEST.in.patch
diff --git a/trusty/debian/po/POTFILES.in b/trusty/debian/po/POTFILES.in
new file mode 100644 (file)
index 0000000..e2d3c4d
--- /dev/null
@@ -0,0 +1 @@
+[type: gettext/rfc822deb] openstack-dashboard-apache.templates
diff --git a/trusty/debian/po/cs.po b/trusty/debian/po/cs.po
new file mode 100644 (file)
index 0000000..43a9a68
--- /dev/null
@@ -0,0 +1,67 @@
+# Czech PO debconf template translation of horizon.
+# Copyright (C) 2013 Michal Simunek <michal.simunek@gmail.com>
+# This file is distributed under the same license as the horizon package.
+# Michal Simunek <michal.simunek@gmail.com>, 2013.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: horizon 2013.1.3-2\n"
+"Report-Msgid-Bugs-To: horizon@packages.debian.org\n"
+"POT-Creation-Date: 2015-09-22 13:31+0000\n"
+"PO-Revision-Date: 2013-10-12 10:41+0200\n"
+"Last-Translator: Michal Simunek <michal.simunek@gmail.com>\n"
+"Language-Team: Czech <debian-l10n-czech@lists.debian.org>\n"
+"Language: cs\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid "Activate Dashboard and disable default VirtualHost?"
+msgstr "Aktivovat Ovládací panel a zakázat výchozího virtuálního hosta?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"The Apache package sets up a default web site and a default page, configured "
+"in /etc/apache2/sites-available/default."
+msgstr ""
+"Balíček Apache má výchozí web a výchozí stránku nastavené v /etc/apache2/"
+"sites-available/default."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"If this option is not selected, Horizon will be installed using /horizon "
+"instead of the webroot."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"Choose this option to replace that default with the OpenStack Dashboard "
+"configuration."
+msgstr ""
+"Tuto možnost zvolte k nahrazení výchozího nastavení nastavením Ovládacího "
+"panelu pro OpenStack."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid "Should the Dashboard use HTTPS?"
+msgstr "Má Ovládací panel používat HTTPS?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid ""
+"Select this option if you would like Horizon to be served over HTTPS only, "
+"with a redirection to HTTPS if HTTP is in use."
+msgstr ""
+"Tuto možnost zvolte, pokud chcete mít Horizon přístupný pouze přes HTTPS s "
+"přesměrováním na HTTPS v případě, že se použije HTTP."
diff --git a/trusty/debian/po/da.po b/trusty/debian/po/da.po
new file mode 100644 (file)
index 0000000..31e3f01
--- /dev/null
@@ -0,0 +1,67 @@
+# Danish translation horizon.
+# Copyright (C) 2013 horizon & nedenstående oversættere.
+# This file is distributed under the same license as the horizon package.
+# Joe Hansen <joedalton2@yahoo.dk>, 2013.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: horizon\n"
+"Report-Msgid-Bugs-To: horizon@packages.debian.org\n"
+"POT-Creation-Date: 2015-09-22 13:31+0000\n"
+"PO-Revision-Date: 2013-10-10 23:51+0200\n"
+"Last-Translator: Joe Hansen <joedalton2@yahoo.dk>\n"
+"Language-Team: Danish <debian-l10n-danish@lists.debian.org>\n"
+"Language: da\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid "Activate Dashboard and disable default VirtualHost?"
+msgstr "Aktiver Dashboard og deaktiver standard-VirtualHost?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"The Apache package sets up a default web site and a default page, configured "
+"in /etc/apache2/sites-available/default."
+msgstr ""
+"Pakken Apache opsætter en standardnetside og en standardside, konfigureret "
+"i !/etc/apache2/sites-available/default."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"If this option is not selected, Horizon will be installed using /horizon "
+"instead of the webroot."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"Choose this option to replace that default with the OpenStack Dashboard "
+"configuration."
+msgstr ""
+"Vælg denne indstilling for at erstatte den standard med Openstack Dashboard-"
+"konfigurationen."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid "Should the Dashboard use HTTPS?"
+msgstr "Skal Dashboard'et bruge HTTPS?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid ""
+"Select this option if you would like Horizon to be served over HTTPS only, "
+"with a redirection to HTTPS if HTTP is in use."
+msgstr ""
+"Vælg venligst om du ønsker, at Horizon kun skal betjenes over HTTPS, med en "
+"videresendelse til HTTPS hvis HTTP er i brug."
diff --git a/trusty/debian/po/de.po b/trusty/debian/po/de.po
new file mode 100644 (file)
index 0000000..14ec44f
--- /dev/null
@@ -0,0 +1,69 @@
+# German translation of horizon debconf templates
+# This file is distributed under the same license as the horizon package.
+# Copyright: Martin Eberhard Schauer <Martin.E.Schauer@gmx.de>, 2013.
+#            Chris Leick <c.leick@vollbio.de>, 2014.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: horizon 2014.1-2\n"
+"Report-Msgid-Bugs-To: horizon@packages.debian.org\n"
+"POT-Creation-Date: 2015-09-22 13:31+0000\n"
+"PO-Revision-Date: 2014-06-05 22:45+0100\n"
+"Last-Translator: Chris Leick <c.leick@vollbio.de>\n"
+"Language-Team: German <debian-l10n-german@lists.debian.org>\n"
+"Language: de\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Generator: Lokalize 1.0\n"
+"Plural-Forms: nplurals=2; plural=n != 1;\n"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid "Activate Dashboard and disable default VirtualHost?"
+msgstr "Dashboard aktivieren und die Vorgabe für VirtualHost deaktivieren?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"The Apache package sets up a default web site and a default page, configured "
+"in /etc/apache2/sites-available/default."
+msgstr ""
+"Das Paket Apache richtet eine Standard-Website und eine Standardseite ein, "
+"die in /etc/apache2/sites-available/default konfiguriert werden."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"If this option is not selected, Horizon will be installed using /horizon "
+"instead of the webroot."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"Choose this option to replace that default with the OpenStack Dashboard "
+"configuration."
+msgstr ""
+"Wählen Sie diese Option, um diese Voreinstellung durch die OpenStack-"
+"Dashboard-Konfiguration zu ersetzen."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid "Should the Dashboard use HTTPS?"
+msgstr "Soll das Dashboard HTTPS verwenden?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid ""
+"Select this option if you would like Horizon to be served over HTTPS only, "
+"with a redirection to HTTPS if HTTP is in use."
+msgstr ""
+"Wählen Sie diese Option, falls Horizon nur über HTTPS bereitgestellt und bei "
+"der Nutzung von HTTP auf HTTPS umgeleitet werden soll."
diff --git a/trusty/debian/po/es.po b/trusty/debian/po/es.po
new file mode 100644 (file)
index 0000000..bdf69ad
--- /dev/null
@@ -0,0 +1,102 @@
+# horizon po-debconf translation to Spanish.
+# Copyright (C) 2013 Software in the Public Interest
+# This file is distributed under the same license as the horizon package.
+#
+# Changes:
+# - Initial translation
+# Matías Bellone <matiasbellone+debian@gmail.com>, 2013.
+#
+# Traductores, si no conocen el formato PO, merece la pena leer la
+# documentación de gettext, especialmente las secciones dedicadas a este
+# formato, por ejemplo ejecutando:
+# info -n '(gettext)PO Files'
+# info -n '(gettext)Header Entry'
+#
+# Equipo de traducción al español, por favor lean antes de traducir
+# los siguientes documentos:
+#
+# - El proyecto de traducción de Debian al español
+# http://www.debian.org/intl/spanish/
+# especialmente las notas y normas de traducción en
+# http://www.debian.org/intl/spanish/notas
+#
+# - La guía de traducción de po's de debconf:
+# /usr/share/doc/po-debconf/README-trans
+# o http://www.debian.org/intl/l10n/po-debconf/README-trans
+msgid ""
+msgstr ""
+"Project-Id-Version: horizon\n"
+"Report-Msgid-Bugs-To: horizon@packages.debian.org\n"
+"POT-Creation-Date: 2015-09-22 13:31+0000\n"
+"PO-Revision-Date: 2013-12-08 21:21-0300\n"
+"Last-Translator: Matías Bellone <matiasbellone+debian@gmail.com>\n"
+"Language-Team: Debian Spanish <debian-l10n-spanish@lists.debian.org>\n"
+"Language: es\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid "Activate Dashboard and disable default VirtualHost?"
+msgstr ""
+"¿Desea activar el panel de control de OpenStack («Dashboard») y desactivar "
+"el «VirtualHost» predeterminado?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+#, fuzzy
+#| msgid ""
+#| "In Debian, Apache comes with a default website and a default page, "
+#| "configured in /etc/apache2/sites-available/default. Select if this "
+#| "configuration should be disabled and replaced by the Openstack Dashboard "
+#| "configuration."
+msgid ""
+"The Apache package sets up a default web site and a default page, configured "
+"in /etc/apache2/sites-available/default."
+msgstr ""
+"En Debian, Apache provee un sitio web y una página web predeterminados, "
+"ambos configurados en el archivo «/etc/apache2/sites-available/default». "
+"Seleccione esta opción si desea desactivar esta configuración y reemplazarla "
+"con la configuración del panel de control de OpenStack («Dashboard»)."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"If this option is not selected, Horizon will be installed using /horizon "
+"instead of the webroot."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"Choose this option to replace that default with the OpenStack Dashboard "
+"configuration."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+#, fuzzy
+#| msgid "Should the Dashboard be installed on HTTPS?"
+msgid "Should the Dashboard use HTTPS?"
+msgstr "¿Desea instalar el panel de control con HTTPS?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+#, fuzzy
+#| msgid ""
+#| "Please choose if you would like Horizon to be installed on HTTPS only, "
+#| "with a redirection to HTTPS if HTTP is in use."
+msgid ""
+"Select this option if you would like Horizon to be served over HTTPS only, "
+"with a redirection to HTTPS if HTTP is in use."
+msgstr ""
+"Indique si desea que se instale Horizon sólo con HTTPS o con una redirección "
+"a HTTPS cuando se utilice HTTP."
diff --git a/trusty/debian/po/fr.po b/trusty/debian/po/fr.po
new file mode 100644 (file)
index 0000000..3ee591f
--- /dev/null
@@ -0,0 +1,70 @@
+# Translation of horizon debconf templates to French. 
+# Copyright (C) 2013, French l10n team <debian-l10n-french@lists.debian.org>
+# This file is distributed under the same license as the HORIZON package.
+# Julien Patriarca <leatherface@debian.org>, 2013.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: horizon\n"
+"Report-Msgid-Bugs-To: horizon@packages.debian.org\n"
+"POT-Creation-Date: 2015-09-22 13:31+0000\n"
+"PO-Revision-Date: 2013-10-09 09:09+0100\n"
+"Last-Translator: Julien Patriarca <leatherface@debian.org>\n"
+"Language-Team: FRENCH <debian-l10n-french@lists.debian.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Generator: Poedit 1.5.4\n"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid "Activate Dashboard and disable default VirtualHost?"
+msgstr "Activer Dashboard et désactiver l'hôte virtuel par défaut ?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"The Apache package sets up a default web site and a default page, configured "
+"in /etc/apache2/sites-available/default."
+msgstr ""
+"Le paquet Apache installe un site et une page par défaut, configurés dans /"
+"etc/apache2/sites-available/default."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"If this option is not selected, Horizon will be installed using /horizon "
+"instead of the webroot."
+msgstr ""
+"Si cette option n'est pas selectionée, Horizon sera installé sur /horizon "
+"plustot que la racine du server web."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"Choose this option to replace that default with the OpenStack Dashboard "
+"configuration."
+msgstr ""
+"Choisissez cette option pour remplacer le réglage par défaut par la "
+"configuration d'OpenStack Dashboard."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid "Should the Dashboard use HTTPS?"
+msgstr "Faut-il utiliser HTTPS pour le Dashboard ?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid ""
+"Select this option if you would like Horizon to be served over HTTPS only, "
+"with a redirection to HTTPS if HTTP is in use."
+msgstr ""
+"Veuillez choisir cette option si vous souhaitez qu'Horizon soit installé sur HTTPS "
+"uniquement, avec une redirection vers HTTPS si HTTP est utilisé."
diff --git a/trusty/debian/po/it.po b/trusty/debian/po/it.po
new file mode 100644 (file)
index 0000000..63a0b65
--- /dev/null
@@ -0,0 +1,68 @@
+# Italian translation of horizon's debconf messages.
+# Copyright (C) 2013, horizon package copyright holder
+# This file is distributed under the same license as the horizon package.
+# Beatrice Torracca <beatricet@libero.it>, 2013.
+msgid ""
+msgstr ""
+"Project-Id-Version: horizon\n"
+"Report-Msgid-Bugs-To: horizon@packages.debian.org\n"
+"POT-Creation-Date: 2015-09-22 13:31+0000\n"
+"PO-Revision-Date: 2013-10-19 18:48+0200\n"
+"Last-Translator: Beatrice Torracca <beatricet@libero.it>\n"
+"Language-Team: Italian <debian-l10n-italian@lists.debian.org>\n"
+"Language: it\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+"X-Generator: Virtaal 0.7.1\n"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid "Activate Dashboard and disable default VirtualHost?"
+msgstr "Attivare Dashboard e disabilitare il VirtualHost predefinito?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"The Apache package sets up a default web site and a default page, configured "
+"in /etc/apache2/sites-available/default."
+msgstr ""
+"Il pacchetto Apache imposta un sito web e una pagina predefiniti, "
+"configurati in /etc/apache2/sites-available/default."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"If this option is not selected, Horizon will be installed using /horizon "
+"instead of the webroot."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"Choose this option to replace that default with the OpenStack Dashboard "
+"configuration."
+msgstr ""
+"Scegliere questa opzione per sostituire il valore predefinito con la "
+"configurazione di Dashboard di OpenStack."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid "Should the Dashboard use HTTPS?"
+msgstr "Dashboard deve usare HTTPS?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid ""
+"Select this option if you would like Horizon to be served over HTTPS only, "
+"with a redirection to HTTPS if HTTP is in use."
+msgstr ""
+"Scegliere questa opzione se si desidera che Horizon venga servito solamente "
+"su HTTPS, con una ridirezione verso HTTPS se viene usato HTTP."
diff --git a/trusty/debian/po/ja.po b/trusty/debian/po/ja.po
new file mode 100644 (file)
index 0000000..310c44d
--- /dev/null
@@ -0,0 +1,67 @@
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the horizon package.
+# victory <victory.deb@gmail.com>, 2013.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: horizon\n"
+"Report-Msgid-Bugs-To: horizon@packages.debian.org\n"
+"POT-Creation-Date: 2015-09-22 13:31+0000\n"
+"PO-Revision-Date: 2013-07-19 23:32+0900\n"
+"Last-Translator: victory <victory.deb@gmail.com>\n"
+"Language-Team: Japanese <debian-japanese@lists.debian.org>\n"
+"Language: ja\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid "Activate Dashboard and disable default VirtualHost?"
+msgstr "Dashboard を有効にしてデフォルトのバーチャルホストを無効にしますか?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"The Apache package sets up a default web site and a default page, configured "
+"in /etc/apache2/sites-available/default."
+msgstr ""
+"Apache パッケージがデフォルトウェブサイトやデフォルトページを用意しています。"
+"これは /etc/apache2/sites-available/default で設定されています。"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"If this option is not selected, Horizon will be installed using /horizon "
+"instead of the webroot."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"Choose this option to replace that default with the OpenStack Dashboard "
+"configuration."
+msgstr ""
+"そのデフォルトを OpenStack の Dashboard 設定で置き換える場合はこのオプション"
+"を選択してください。"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid "Should the Dashboard use HTTPS?"
+msgstr "Dashboard で HTTPS を使いますか?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid ""
+"Select this option if you would like Horizon to be served over HTTPS only, "
+"with a redirection to HTTPS if HTTP is in use."
+msgstr ""
+"Horizon を HTTPS だけで使い、HTTP によるアクセスを HTTPS に転送する場合はこの"
+"オプションを選択してください。"
diff --git a/trusty/debian/po/nl.po b/trusty/debian/po/nl.po
new file mode 100644 (file)
index 0000000..def8126
--- /dev/null
@@ -0,0 +1,68 @@
+# Dutch translation of horizon debconf templates.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the horizon package.
+# Frans Spiesschaert <Frans.Spiesschaert@yucom.be>, 2014.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: horizon\n"
+"Report-Msgid-Bugs-To: horizon@packages.debian.org\n"
+"POT-Creation-Date: 2015-09-22 13:31+0000\n"
+"PO-Revision-Date: 2014-10-08 23:05+0200\n"
+"Last-Translator: Frans Spiesschaert <Frans.Spiesschaert@yucom.be>\n"
+"Language-Team: Dutch <debian-l10n-dutch@lists.debian.org>\n"
+"Language: nl\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid "Activate Dashboard and disable default VirtualHost?"
+msgstr "Dashboard activeren en de standaard VirtualHost uitzetten?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"The Apache package sets up a default web site and a default page, configured "
+"in /etc/apache2/sites-available/default."
+msgstr ""
+"Het pakket Apache zet een standaardwebsite en een standaardpagina op in /etc/"
+"apache2/sites-available/default."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"If this option is not selected, Horizon will be installed using /horizon "
+"instead of the webroot."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"Choose this option to replace that default with the OpenStack Dashboard "
+"configuration."
+msgstr ""
+"Kies deze optie om die standaard te vervangen door de configuratie van "
+"OpenStack Dashboard."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid "Should the Dashboard use HTTPS?"
+msgstr "Moet Dashboard gebruik maken van HTTPS?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid ""
+"Select this option if you would like Horizon to be served over HTTPS only, "
+"with a redirection to HTTPS if HTTP is in use."
+msgstr ""
+"Kies deze optie indien u wenst dat Horizon enkel over HTTPS bediend wordt, "
+"met een omlegging naar HTTPS als HTTP gebruikt wordt."
diff --git a/trusty/debian/po/pt.po b/trusty/debian/po/pt.po
new file mode 100644 (file)
index 0000000..c585857
--- /dev/null
@@ -0,0 +1,69 @@
+# Translation of horizon's debconf messages to european portuguese
+# Copyright (C) 2013 THE horizon'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the horizon package.
+#
+# Américo Monteiro <a_monteiro@gmx.com>, 2013.
+msgid ""
+msgstr ""
+"Project-Id-Version: horizon 2013.2-1\n"
+"Report-Msgid-Bugs-To: horizon@packages.debian.org\n"
+"POT-Creation-Date: 2015-09-22 13:31+0000\n"
+"PO-Revision-Date: 2013-11-18 19:42+0000\n"
+"Last-Translator: Américo Monteiro <a_monteiro@gmx.com>\n"
+"Language-Team: Portuguese <traduz@debianpt.org>\n"
+"Language: pt\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+"X-Generator: Lokalize 1.4\n"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid "Activate Dashboard and disable default VirtualHost?"
+msgstr "Activar o Dashboard e desactivar o VirtualHost predefinido?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"The Apache package sets up a default web site and a default page, configured "
+"in /etc/apache2/sites-available/default."
+msgstr ""
+"O pacote Apache define um sítio web predefinido e uma página predefinida, "
+"configurada em /etc/apache2/sites-available/default."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"If this option is not selected, Horizon will be installed using /horizon "
+"instead of the webroot."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"Choose this option to replace that default with the OpenStack Dashboard "
+"configuration."
+msgstr ""
+"Escolha esta opção para substituir essa predefinição pela configuração "
+"Dashboard do OpenStack."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid "Should the Dashboard use HTTPS?"
+msgstr "Deve o Dashboard usar HTTPS?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid ""
+"Select this option if you would like Horizon to be served over HTTPS only, "
+"with a redirection to HTTPS if HTTP is in use."
+msgstr ""
+"Seleccione esta opção se você desejar que o Horizon seja servido apenas por "
+"HTTPS, com um redireccionamento para HTTPS se for usado HTTP."
diff --git a/trusty/debian/po/ru.po b/trusty/debian/po/ru.po
new file mode 100644 (file)
index 0000000..f057ee0
--- /dev/null
@@ -0,0 +1,67 @@
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the horizon package.
+#
+# Yuri Kozlov <yuray@komyakino.ru>, 2013.
+msgid ""
+msgstr ""
+"Project-Id-Version: horizon 2013.1.3-2\n"
+"Report-Msgid-Bugs-To: horizon@packages.debian.org\n"
+"POT-Creation-Date: 2015-09-22 13:31+0000\n"
+"PO-Revision-Date: 2013-10-09 19:26+0400\n"
+"Last-Translator: Yuri Kozlov <yuray@komyakino.ru>\n"
+"Language-Team: Russian <debian-l10n-russian@lists.debian.org>\n"
+"Language: ru\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n"
+"%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
+"X-Generator: Lokalize 1.4\n"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid "Activate Dashboard and disable default VirtualHost?"
+msgstr "Активировать Dashboard и отключить VirtualHost по умолчанию?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"The Apache package sets up a default web site and a default page, configured "
+"in /etc/apache2/sites-available/default."
+msgstr ""
+"В пакете Apache уже настроен веб-сайт и страница по умолчанию согласно /etc/"
+"apache2/sites-available/default."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"If this option is not selected, Horizon will be installed using /horizon "
+"instead of the webroot."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"Choose this option to replace that default with the OpenStack Dashboard "
+"configuration."
+msgstr "Выберите, нужно ли заменить её на настройку из Openstack Dashboard."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid "Should the Dashboard use HTTPS?"
+msgstr "Использовать HTTPS в Dashboard?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid ""
+"Select this option if you would like Horizon to be served over HTTPS only, "
+"with a redirection to HTTPS if HTTP is in use."
+msgstr ""
+"Выберите, нужно ли включить доступ к Horizon только по HTTPS, с "
+"перенаправлением на HTTPS, если использован HTTP."
diff --git a/trusty/debian/po/sv.po b/trusty/debian/po/sv.po
new file mode 100644 (file)
index 0000000..afab3ff
--- /dev/null
@@ -0,0 +1,68 @@
+# Translation of horizon debconf template to Swedish
+# Copyright (C) 2015 Martin Bagge <brother@bsnet.se>
+# This file is distributed under the same license as the horizon package.
+#
+# Martin Bagge <brother@bsnet.se>, 2013, 2015
+msgid ""
+msgstr ""
+"Project-Id-Version: horizon\n"
+"Report-Msgid-Bugs-To: horizon@packages.debian.org\n"
+"POT-Creation-Date: 2015-09-22 13:31+0000\n"
+"PO-Revision-Date: 2015-04-01 16:51+0100\n"
+"Last-Translator: Martin Bagge / brother <brother@bsnet.se>\n"
+"Language-Team: Swedish <debian-l10n-swedish@lists.debian.org>\n"
+"Language: sv\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Generator: Poedit 1.6.10\n"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid "Activate Dashboard and disable default VirtualHost?"
+msgstr ""
+"Aktivera Dashboard och avaktivera den standardiserade virtuella värden?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"The Apache package sets up a default web site and a default page, configured "
+"in /etc/apache2/sites-available/default."
+msgstr ""
+"Apache-paketet levereras med en standard webbplats och en standard sida, "
+"dessa inställningar finns i /etc/apache2/sites-available/default."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"If this option is not selected, Horizon will be installed using /horizon "
+"instead of the webroot."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"Choose this option to replace that default with the OpenStack Dashboard "
+"configuration."
+msgstr ""
+"Välj denna väg för att ersätta standard-Dashboard i OpenStack med Horizon."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid "Should the Dashboard use HTTPS?"
+msgstr "Ska Dashboard använda HTTPS?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid ""
+"Select this option if you would like Horizon to be served over HTTPS only, "
+"with a redirection to HTTPS if HTTP is in use."
+msgstr ""
+"Välj detta om du vill att Horizon endast ska levereras på HTTPS, en "
+"omdirigering av HTTP till HTTPS kommer att aktiveras."
diff --git a/trusty/debian/po/templates.pot b/trusty/debian/po/templates.pot
new file mode 100644 (file)
index 0000000..2dc11e6
--- /dev/null
@@ -0,0 +1,62 @@
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the horizon package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: horizon\n"
+"Report-Msgid-Bugs-To: horizon@packages.debian.org\n"
+"POT-Creation-Date: 2015-09-22 13:31+0000\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=CHARSET\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid "Activate Dashboard and disable default VirtualHost?"
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"The Apache package sets up a default web site and a default page, configured "
+"in /etc/apache2/sites-available/default."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"If this option is not selected, Horizon will be installed using /horizon "
+"instead of the webroot."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"Choose this option to replace that default with the OpenStack Dashboard "
+"configuration."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid "Should the Dashboard use HTTPS?"
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid ""
+"Select this option if you would like Horizon to be served over HTTPS only, "
+"with a redirection to HTTPS if HTTP is in use."
+msgstr ""
diff --git a/trusty/debian/pydist-overrides b/trusty/debian/pydist-overrides
deleted file mode 100644 (file)
index 72999c7..0000000
+++ /dev/null
@@ -1,29 +0,0 @@
-django-babel
-xstatic
-xstatic-angular
-xstatic-angular-bootstrap
-xstatic-angular-cookies
-xstatic-angular-mock
-xstatic-bootstrap-datepicker
-xstatic-bootstrap-scss
-xstatic-d3
-xstatic-hogan
-xstatic-font-awesome
-xstatic-jasmine
-xstatic-jquery
-xstatic-jquery-migrate
-xstatic-jquery.quicksearch
-xstatic-jquery.tablesorter
-xstatic-jquery-ui
-xstatic-jsencrypt
-xstatic-magic-search
-xstatic-qunit
-xstatic-rickshaw
-xstatic-smart-table
-xstatic-spin
-xstatic-angular-lrdragndrop
-xstatic-term.js
-xstatic-angular-gettext
-xstatic-roboto-fontface
-xstatic-bootswatch
-xstatic-mdi
diff --git a/trusty/debian/python-django-horizon.install b/trusty/debian/python-django-horizon.install
deleted file mode 100644 (file)
index 7b24713..0000000
+++ /dev/null
@@ -1 +0,0 @@
-usr/lib/python*/dist-packages/horizon*
diff --git a/trusty/debian/python-django-horizon.links b/trusty/debian/python-django-horizon.links
new file mode 100644 (file)
index 0000000..0752090
--- /dev/null
@@ -0,0 +1,2 @@
+/usr/share/javascript/jquery-cookie/jquery.cookie.js /usr/lib/python2.7/dist-packages/horizon/static/horizon/lib/jquery/jquery.cookie.js
+/usr/share/javascript/jquery/jquery.min.js /usr/lib/python2.7/dist-packages/horizon/static/horizon/lib/jquery/jquery.min.js
diff --git a/trusty/debian/python-django-horizon.lintian-overrides b/trusty/debian/python-django-horizon.lintian-overrides
deleted file mode 100644 (file)
index 37c101b..0000000
+++ /dev/null
@@ -1,2 +0,0 @@
-# Templates are not intended to be executed directly:
-python-django-horizon binary: script-not-executable usr/share/pyshared/horizon/dashboards/settings/templates/settings/tenant/openrc.sh.template
index d27320e467946a7bf50e9df8781387b9252824ce..decfb46d1ac2862b254245529900822df6a96228 100755 (executable)
@@ -1,61 +1,69 @@
 #!/usr/bin/make -f
 
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+PYTHONS:=$(shell pyversions -vr)
 
-%:
-       dh $@  --with python2,sphinxdoc
-
-PYVER=$(shell pyversions -d)
+include /usr/share/openstack-pkg-tools/pkgos.make
+export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)
 
-DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
-DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
-DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
+%:
+       dh $@ --buildsystem=python_distutils --with python2,sphinxdoc
 
-override_dh_auto_clean:
-       find . -name "django*.mo" -delete || :
-       rm -f horizon/xstatic
-       dh_auto_clean
-       rm -f horizon/openstack_dashboard/local/.secret_key_store
+override_dh_auto_install:
+       # Note: upstream advises to use "python setup.py compile_catalog"
+       # maybe we should do that next time.
+       chmod +x debian/compile-messages
+       $(CURDIR)/debian/compile-messages
 
-override_dh_auto_build:
-       ln -sf ../xstatic horizon/xstatic
-       patch -p1 -R <debian/patches/better_defaults.patch
-       ./run_tests.sh -N --compilemessages
-       patch -p1 <debian/patches/better_defaults.patch
-       dh_auto_build
+       set -e && for pyvers in $(PYTHONS); do \
+               python$$pyvers setup.py install \
+                       --install-layout=deb \
+                       --root $(CURDIR)/debian/python-django-horizon \
+                       --no-compile -O0; \
+       done
 
-override_dh_auto_install:
-       # install horizon and dashboard
-       python setup.py install --root=$(CURDIR)/debian/tmp --no-compile -O0 --install-layout=deb
-       # install vendorfied xstatic assets
-       install -d -m 755 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard
-       install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard
-       install -d -m 755 $(CURDIR)/debian/tmp/etc/apache2/conf-available
+       install -d -m 755  $(CURDIR)/debian/tmp/usr/share/openstack-dashboard
 
        cp -a $(CURDIR)/openstack_dashboard/ $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/
-       install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard
-       cp -a $(CURDIR)/openstack_dashboard/settings.py $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/
 
-       cp $(CURDIR)/openstack_dashboard/local/local_settings.py.example \
-               $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.py
+       # Sets memcached by default in local_settings.py
+       cp $(CURDIR)/openstack_dashboard/local/local_settings.py.example                                                $(CURDIR)/debian/openstack-dashboard/usr/share/openstack-dashboard/local_settings.py
+       sed -i -e 's/os.path.join(LOCAL_PATH,/os.path.join("\/","var","lib","openstack-dashboard","secret-key",/'       $(CURDIR)/debian/openstack-dashboard/usr/share/openstack-dashboard/local_settings.py
+       echo "COMPRESS_OFFLINE=True" >>                                                                                 $(CURDIR)/debian/openstack-dashboard/usr/share/openstack-dashboard/local_settings.py
+
        cp $(CURDIR)/manage.py \
-                $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/manage.py
+               $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/
        ln -fs /etc/openstack-dashboard/local_settings.py \
                $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/local/local_settings.py
 
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-override_dh_auto_test:
-       # Skip tests
-       :
-endif
+override_dh_link:
+       mkdir -p $(CURDIR)/debian/openstack-dashboard/var/lib/openstack-dashboard/static/scss
+       mv $(CURDIR)/debian/openstack-dashboard/usr/share/openstack-dashboard/openstack_dashboard/static/dashboard/scss/* $(CURDIR)/debian/openstack-dashboard/var/lib/openstack-dashboard/static/scss
+       rmdir $(CURDIR)/debian/openstack-dashboard/usr/share/openstack-dashboard/openstack_dashboard/static/dashboard/scss
+       dh_link
+       for i in auth framework horizon ; do \
+               ln -s /usr/lib/python2.7/dist-packages/horizon/static/$$i $(CURDIR)/debian/openstack-dashboard/usr/share/openstack-dashboard/openstack_dashboard/static/$$i ; \
+       done
 
-get-orig-source:
-       uscan --verbose --force-download --rename --destdir=../build-area
+override_dh_auto_clean:
+       dh_auto_clean
+       python setup.py clean
+       rm -rf $(CURDIR)/static
+       rm -rf $(CURDIR)/horizon/build
+       rm -rf $(CURDIR)/horizon.egg-info
+       rm -rf $(CURDIR)/openstack_dashboard/openstack_dashboard.egg-info
+       rm -rf doc/source/sourcecode
+       rm -rf $(CURDIR)/doc/build
+       rm -f horizon/openstack_dashboard/test/.secret_key_store
+       find $(CURDIR)/openstack_dashboard -iname '*.pyc' -delete
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-       python setup.py build_sphinx
-       cp -rf doc/build/html $(CURDIR)/debian/horizon-doc/usr/share/doc/horizon-doc
+       sphinx-build -b html doc/source debian/horizon-doc/usr/share/doc/horizon-doc/html
        dh_sphinxdoc -O--buildsystem=python_distutils
 endif
+
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+override_dh_auto_test:
+       # We should add --compilemessages when the .mo are removed.
+       ./run_tests.sh --no-virtual-env --no-pep8 --verbosity=2
+endif
old mode 100755 (executable)
new mode 100644 (file)
index cb61fa5267b6ad8b3bbc2a612754b79dae466292..ec30cb9e854aaf1f79ba2132776feec61e96fb59 100644 (file)
@@ -1 +1 @@
-extend-diff-ignore = "^[^/]*[.]egg-info/"
+extend-diff-ignore = ".*\.secret_key_store|.*\.mo"
diff --git a/trusty/debian/tests/control b/trusty/debian/tests/control
deleted file mode 100644 (file)
index 7b27ce6..0000000
+++ /dev/null
@@ -1,3 +0,0 @@
-Tests: install
-Depends: @
-Restrictions: needs-root
diff --git a/trusty/debian/tests/install b/trusty/debian/tests/install
deleted file mode 100644 (file)
index f2d6019..0000000
+++ /dev/null
@@ -1,5 +0,0 @@
-#!/bin/bash
-
-set -e
-
-echo "Installation test completed OK"
index bb8fa5110df36c965f7704ebcbb1ddbee67d03b9..a3ac9cd2bd51869b94ff11ee9fb658e71b485add 100644 (file)
@@ -1,3 +1,3 @@
 version=3
-opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
- http://tarballs.openstack.org/horizon horizon-(\d.*)\.tar\.gz
+opts="uversionmangle=s/\.(b|rc)/~$1/" \
+https://github.com/openstack/horizon/tags .*/(\d[\d\.]+)\.tar\.gz